
From: Michael Krufky <mkrufky@m1k.net>

Remove redundant bttv_reset_audio() which caused the computer to freeze
with some bt8xx based DVB cards when loading the bttv driver.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Michael Krufky <mkrufky@m1k.net>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/bttv-cards.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/media/video/bttv-cards.c~v4l-fix-regression-modprobe-bttv-freezes-the-computer drivers/media/video/bttv-cards.c
--- devel/drivers/media/video/bttv-cards.c~v4l-fix-regression-modprobe-bttv-freezes-the-computer	2005-07-25 21:47:43.000000000 -0700
+++ devel-akpm/drivers/media/video/bttv-cards.c	2005-07-25 21:47:43.000000000 -0700
@@ -1,5 +1,5 @@
 /*
-    $Id: bttv-cards.c,v 1.53 2005/07/05 17:37:35 nsh Exp $
+    $Id: bttv-cards.c,v 1.54 2005/07/19 18:26:46 mkrufky Exp $
 
     bttv-cards.c
 
@@ -2772,8 +2772,6 @@ void __devinit bttv_init_card2(struct bt
         }
 	btv->pll.pll_current = -1;
 
-	bttv_reset_audio(btv);
-
 	/* tuner configuration (from card list / autodetect / insmod option) */
  	if (UNSET != bttv_tvcards[btv->c.type].tuner_type)
 		if(UNSET == btv->tuner_type)
_
